- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
G::PamImp Class Reference

A pimple-pattern implementation class for Pam. More...

## Public Types
typedef pam_handle_t * | Handle

## Public Member Functions
| PamImp (G::Pam &pam, const std::string &app, const std::string &user, bool silent)
| ~PamImp ()
Handle | hpam () const
bool | silent () const
bool | authenticate (bool)
void | check (const std::string &, int) const
void | setCredentials (int)
void | checkAccount (bool)
void | openSession ()
void | closeSession ()
std::string | name () const

## Static Public Member Functions
static bool | success (int)

## Public Attributes
Pam & | m_pam
int | m_magic
int | m_rc
Handle | m_hpam
Conversation | m_conv
bool | m_silent

## Detailed Description

A pimple-pattern implementation class for Pam.

Definition at line 60 of file gpam_linux.cpp.

## Member Typedef Documentation

typedef pam_handle_t* G::PamImp::Handle

Definition at line 63 of file gpam_linux.cpp.

## Constructor & Destructor Documentation

G::PamImp::PamImp | ( | G::Pam & | pam,
|  | const std::string & | app,
|  | const std::string & | user,
|  | bool | silent
| ) |  |

Definition at line 102 of file gpam_linux.cpp.

References G_DEBUG, hpam(), m_conv, m_hpam, and m_rc.

G::PamImp::~PamImp | ( |  | ) |

Definition at line 129 of file gpam_linux.cpp.

References G_DEBUG.

## Member Function Documentation

bool G::PamImp::authenticate | ( | bool | require_token | ) |

Definition at line 162 of file gpam_linux.cpp.

void G::PamImp::check | ( | const std::string & | op,
|  | int | rc
| ) |  | const

Definition at line 343 of file gpam_linux.cpp.

void G::PamImp::checkAccount | ( | bool | require_token | ) |

Definition at line 195 of file gpam_linux.cpp.

void G::PamImp::closeSession | ( |  | ) |

Definition at line 330 of file gpam_linux.cpp.

G::PamImp::Handle G::PamImp::hpam | ( |  | ) | const

Definition at line 142 of file gpam_linux.cpp.

Referenced by PamImp().

std::string G::PamImp::name | ( |  | ) | const

Definition at line 177 of file gpam_linux.cpp.

void G::PamImp::openSession | ( |  | ) |

Definition at line 322 of file gpam_linux.cpp.

void G::PamImp::setCredentials | ( | int | flag | ) |

Definition at line 186 of file gpam_linux.cpp.

bool G::PamImp::silent | ( |  | ) | const

Definition at line 147 of file gpam_linux.cpp.

bool G::PamImp::success | ( | int | rc | ) |
| static

Definition at line 338 of file gpam_linux.cpp.

## Member Data Documentation

Conversation G::PamImp::m_conv

Definition at line 76 of file gpam_linux.cpp.

Referenced by PamImp().

Handle G::PamImp::m_hpam

Definition at line 75 of file gpam_linux.cpp.

Referenced by PamImp().

int G::PamImp::m_magic

Definition at line 73 of file gpam_linux.cpp.

Pam& G::PamImp::m_pam

Definition at line 72 of file gpam_linux.cpp.

int G::PamImp::m_rc
| mutable

Definition at line 74 of file gpam_linux.cpp.

Referenced by PamImp().

bool G::PamImp::m_silent

Definition at line 77 of file gpam_linux.cpp.

The documentation for this class was generated from the following file:

- gpam_linux.cpp